/*
Core

Core API is used to manage resources around organisation like auth, set webhooks per channels, manage campaigns.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package coreapi

import (
	"encoding/json"
)

// checks if the WidgetTokenResponse type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &WidgetTokenResponse{}

// WidgetTokenResponse struct for WidgetTokenResponse
type WidgetTokenResponse struct {
	Token string `json:"token"`
}

// NewWidgetTokenResponse instantiates a new WidgetTokenResponse object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewWidgetTokenResponse(token string) *WidgetTokenResponse {
	this := WidgetTokenResponse{}
	this.Token = token
	return &this
}

// NewWidgetTokenResponseWithDefaults instantiates a new WidgetTokenResponse object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewWidgetTokenResponseWithDefaults() *WidgetTokenResponse {
	this := WidgetTokenResponse{}
	return &this
}

// GetToken returns the Token field value
func (o *WidgetTokenResponse) GetToken() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.Token
}

// GetTokenOk returns a tuple with the Token field value
// and a boolean to check if the value has been set.
func (o *WidgetTokenResponse) GetTokenOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Token, true
}

// SetToken sets field value
func (o *WidgetTokenResponse) SetToken(v string) {
	o.Token = v
}

func (o WidgetTokenResponse) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o WidgetTokenResponse) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["token"] = o.Token
	return toSerialize, nil
}

type NullableWidgetTokenResponse struct {
	value *WidgetTokenResponse
	isSet bool
}

func (v NullableWidgetTokenResponse) Get() *WidgetTokenResponse {
	return v.value
}

func (v *NullableWidgetTokenResponse) Set(val *WidgetTokenResponse) {
	v.value = val
	v.isSet = true
}

func (v NullableWidgetTokenResponse) IsSet() bool {
	return v.isSet
}

func (v *NullableWidgetTokenResponse) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableWidgetTokenResponse(val *WidgetTokenResponse) *NullableWidgetTokenResponse {
	return &NullableWidgetTokenResponse{value: val, isSet: true}
}

func (v NullableWidgetTokenResponse) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableWidgetTokenResponse) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


